/* c4scripter - A GTK+ based C4Script editor
 * Copyright (C) 2006 Bernhard Bonigl, Armin Burgmeier
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __C4S_FILEUTIL_H__
#define __C4S_FILEUTIL_H__

#include <gtk/gtktextiter.h>

G_BEGIN_DECLS

gboolean
c4s_file_write8(FILE* stream,
                guint8 value,
                GError** error);

gboolean
c4s_file_write16(FILE* stream,
                 guint16 value,
                 GError** error);

gboolean
c4s_file_write32(FILE* stream,
                 guint32 value,
                 GError** error);

gboolean
c4s_file_write_string(FILE* stream,
                      const gchar* value,
                      GError** error);

gboolean
c4s_file_read8(FILE* stream,
               guint8* value,
               GError** error);

gboolean
c4s_file_read16(FILE* stream,
                guint16* value,
                GError** error);

gboolean
c4s_file_read32(FILE* stream,
                guint32* value,
                GError** error);

gboolean
c4s_file_read_string(FILE* stream,
                     gchar** value,
                     GError** error);

G_END_DECLS

#endif /* __C4S_FILEUTIL_H__ */
