/* c4scripter - A GTK+ based C4Script editor
 * Copyright (C) 2006 Bernhard Bonigl, Armin Burgmeier
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __C4S_FUNCTIONPROGRESSDIALOG_H__
#define __C4S_FUNCTIONPROGRESSDIALOG_H__

#include <gtk/gtkdialog.h>

G_BEGIN_DECLS

#define C4S_TYPE_FUNCTION_PROGRESS_DIALOG			(c4s_function_progress_dialog_get_type())
#define C4S_FUNCTION_PROGRESS_DIALOG(obj)			(G_TYPE_CHECK_INSTANCE_CAST((obj), C4S_TYPE_FUNCTION_PROGRESS_DIALOG, C4sFunctionProgressDialog))
#define C4S_FUNCTION_PROGRESS_DIALOG_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST((klass), C4S_TYPE_FUNCTION_PROGRESS_DIALOG, C4sFunctionProgressDialogClass))
#define C4S_IS_FUNCTION_PROGRESS_DIALOG(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), C4S_TYPE_FUNCTION_PROGRESS_DIALOG))
#define C4S_IS_FUNCTION_PROGRESS_DIALOG_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE((klass), C4S_TYPE_FUNCTION_PROGRESS_DIALOG))
#define C4S_FUNCTION_PROGRESS_DIALOG_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS((obj), C4S_TYPE_FUNCTION_PROGRESS_DIALOG, C4sFunctionProgressDialogClass))

typedef struct _C4sFunctionProgressDialogClass C4sFunctionProgressDialogClass;
typedef struct _C4sFunctionProgressDialog C4sFunctionProgressDialog;

struct _C4sFunctionProgressDialogClass
{
  GtkDialogClass parent_class;
};

struct _C4sFunctionProgressDialog
{
  GtkDialog parent_instance;
};

GType
c4s_function_progress_dialog_get_type(void) G_GNUC_CONST;

C4sFunctionProgressDialog*
c4s_function_progress_dialog_new(GtkWindow* parent,
                                 GtkDialogFlags flags);

void
c4s_function_progress_dialog_set_progress(C4sFunctionProgressDialog* dialog,
                                          double progress);

void
c4s_function_progress_dialog_set_status(C4sFunctionProgressDialog* dialog,
                                        const char* status);

G_END_DECLS

#endif /* __C4S_FUNCTIONPROGRESSDIALOG_H__ */
