/* c4scripter - A GTK+ based C4Script editor
 * Copyright (C) 2006 Bernhard Bonigl, Armin Burgmeier
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __C4S_ICON_MANAGER_H__
#define __C4S_ICON_MANAGER_H__

#include <c4scripter/c4s-valuetype.h>

#include <glib-object.h>

G_BEGIN_DECLS

#define C4S_TYPE_ICON_MANAGER             (c4s_icon_manager_get_type())
#define C4S_ICON_MANAGER(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), C4S_TYPE_ICON_MANAGER, C4sIconManager))
#define C4S_ICON_MANAGER_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), C4S_TYPE_ICON_MANAGER, C4sIconManagerClass))
#define C4S_IS_ICON_MANAGER(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), C4S_TYPE_ICON_MANAGER))
#define C4S_IS_ICON_MANAGER_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE((klass), C4S_TYPE_ICON_MANAGER))
#define C4S_ICON_MANAGER_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS((obj), C4S_TYPE_ICON_MANAGER, C4sIconManagerClass))

#define C4S_STOCK_LOGO "c4s-logo"
#define C4S_STOCK_FUNC_PRIVATE "c4s-func-private"
#define C4S_STOCK_FUNC_PROTECTED "c4s-func-protected"
#define C4S_STOCK_FUNC_PUBLIC "c4s-func-public"
#define C4S_STOCK_FUNC_GLOBAL "c4s-func-global"
#define C4S_STOCK_DOCUMENTATION "c4s-documentation"

typedef struct _C4sIconManagerClass C4sIconManagerClass;
typedef struct _C4sIconManager C4sIconManager;

struct _C4sIconManagerClass
{
  GObjectClass parent_class;
};

struct _C4sIconManager
{
  GObject parent_instance;
};

GType
c4s_icon_manager_get_type(void) G_GNUC_CONST;

C4sIconManager*
c4s_icon_manager_new(void);

G_END_DECLS

#endif /* __C4S_ICON_MANAGER_H__ */
