/* c4scripter - A GTK+ based C4Script editor
 * Copyright (C) 2006 Bernhard Bonigl, Armin Burgmeier
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __C4S_KEYWORDLIST_H__
#define __C4S_KEYWORDLIST_H__

#include <c4scripter/c4s-enginefunctionlist.h>
#include <c4scripter/c4s-preferences.h>

#include <gtk/gtktextiter.h>

#include <glib-object.h>

G_BEGIN_DECLS

#define C4S_TYPE_KEYWORD_LIST			(c4s_keyword_list_get_type())
#define C4S_KEYWORD_LIST(obj)			(G_TYPE_CHECK_INSTANCE_CAST((obj), C4S_TYPE_KEYWORD_LIST, C4sKeywordList))
#define C4S_KEYWORD_LIST_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST((klass), C4S_TYPE_KEYWORD_LIST, C4sKeywordListClass))
#define C4S_IS_KEYWORD_LIST(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), C4S_TYPE_KEYWORD_LIST))
#define C4S_IS_KEYWORD_LIST_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE((klass), C4S_TYPE_KEYWORD_LIST))
#define C4S_KEYWORD_LIST_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS((obj), C4S_TYPE_KEYWORD_LIST, C4sKeywordListClass))

typedef struct _C4sKeywordListClass C4sKeywordListClass;
typedef struct _C4sKeywordList C4sKeywordList;

struct _C4sKeywordListClass
{
  GObjectClass parent_class;
};

struct _C4sKeywordList
{
  GObject parent_instance;
};

GType
c4s_keyword_list_get_type(void) G_GNUC_CONST;

C4sKeywordList*
c4s_keyword_list_new(void);

gboolean
c4s_keyword_list_load_from_file(C4sKeywordList* list,
                                const gchar* file,
                                GError** error);

gchar* const*
c4s_keyword_list_get_keywords(C4sKeywordList* list);

G_END_DECLS

#endif /* __C4S_KEYWORDLIST_H__ */
