/* c4scripter - A GTK+ based C4Script editor
 * Copyright (C) 2006 Bernhard Bonigl, Armin Burgmeier
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __C4S_PARAMINFO_H__
#define __C4S_PARAMINFO_H__

#include <c4scripter/c4s-highlighter.h>
#include <c4scripter/c4s-enginefunctionlist.h>
#include <c4scripter/c4s-customfunctionlist.h>
#include <c4scripter/c4s-function.h>

#include <gtk/gtktextbuffer.h>

#include <glib-object.h>

G_BEGIN_DECLS

#define C4S_TYPE_PARAM_INFO                  (c4s_param_info_get_type())
#define C4S_PARAM_INFO(obj)                  (G_TYPE_CHECK_INSTANCE_CAST((obj), C4S_TYPE_PARAM_INFO, C4sParamInfo))
#define C4S_PARAM_INFO_CLASS(klass)          (G_TYPE_CHECK_CLASS_CAST((klass), C4S_TYPE_PARAM_INFO, C4sParamInfoClass))
#define C4S_IS_PARAM_INFO(obj)               (G_TYPE_CHECK_INSTANCE_TYPE ((obj), C4S_TYPE_PARAM_INFO))
#define C4S_IS_PARAM_INFO_CLASS(klass)       (G_TYPE_CHECK_CLASS_TYPE((klass), C4S_TYPE_PARAM_INFO))
#define C4S_PARAM_INFO_GET_CLASS(obj)        (G_TYPE_INSTANCE_GET_CLASS((obj), C4S_TYPE_PARAM_INFO, C4sParamInfoClass))

typedef struct _C4sParamInfoClass C4sParamInfoClass;
typedef struct _C4sParamInfo C4sParamInfo;

struct _C4sParamInfoClass
{
  GObjectClass parent_class;

  void(*changed)(C4sParamInfo* info,
                 const C4sFunction* function,
                 guint parameter);
};

struct _C4sParamInfo
{
  GObject parent_instance;
};

GType
c4s_param_info_get_type(void) G_GNUC_CONST;

C4sParamInfo*
c4s_param_info_new(GtkTextBuffer* buffer,
                   C4sHighlighter* highlighter,
                   C4sEngineFunctionList* engine_list,
                   C4sCustomFunctionList* custom_list);

const C4sFunction*
c4s_param_info_get_function(const C4sParamInfo* param_info);

guint
c4s_param_info_get_parameter(const C4sParamInfo* param_info);

G_END_DECLS

#endif /* __C4S_PARAMINFO_H__ */
