/* c4scripter - A GTK+ based C4Script editor
 * Copyright (C) 2006 Bernhard Bonigl, Armin Burgmeier
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __C4S_SCRIPTVIEW_H__
#define __C4S_SCRIPTVIEW_H__

#include <c4scripter/c4s-paraminfo.h>
#include <c4scripter/c4s-preferences.h>

#include <gtksourceview/gtksourceview.h>
#include <gtksourceview/gtksourcebuffer.h>

G_BEGIN_DECLS

#define C4S_TYPE_SCRIPT_VIEW                   (c4s_script_view_get_type())
#define C4S_SCRIPT_VIEW(obj)                   (G_TYPE_CHECK_INSTANCE_CAST((obj), C4S_TYPE_SCRIPT_VIEW, C4sScriptView))
#define C4S_SCRIPT_VIEW_CLASS(klass)           (G_TYPE_CHECK_CLASS_CAST((klass), C4S_TYPE_SCRIPT_VIEW, C4sScriptViewClass))
#define C4S_IS_SCRIPT_VIEW(obj)                (G_TYPE_CHECK_INSTANCE_TYPE ((obj), C4S_TYPE_SCRIPT_VIEW))
#define C4S_IS_SCRIPT_VIEW_CLASS(klass)        (G_TYPE_CHECK_CLASS_TYPE((klass), C4S_TYPE_SCRIPT_VIEW))
#define C4S_SCRIPT_VIEW_GET_CLASS(obj)         (G_TYPE_INSTANCE_GET_CLASS((obj), C4S_TYPE_SCRIPT_VIEW, C4sScriptViewClass))

typedef struct _C4sScriptViewClass C4sScriptViewClass;
typedef struct _C4sScriptView C4sScriptView;

struct _C4sScriptViewClass
{
  GtkSourceViewClass parent_class;
};

struct _C4sScriptView
{
  GtkSourceView parent_instance;
};

GType
c4s_script_view_get_type(void) G_GNUC_CONST;

GtkWidget*
c4s_script_view_new(GtkSourceBuffer* buffer,
                    C4sParamInfo* param_info,
                    C4sPreferences* preferences);

G_END_DECLS

#endif /* __C4S_SCRIPTVIEW_H__ */
