/* c4scripter - A GTK+ based C4Script editor
 * Copyright (C) 2006 Bernhard Bonigl, Armin Burgmeier
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __C4S_TEXTUTIL_H__
#define __C4S_TEXTUTIL_H__

#include <gtk/gtktextiter.h>

G_BEGIN_DECLS

gboolean c4s_forward_spaces(GtkTextIter* iter);
gboolean c4s_backward_spaces(GtkTextIter* iter);

void c4s_forward_identifier(GtkTextIter* iter);
void c4s_backward_identifier(GtkTextIter* iter);

gboolean c4s_starts_identifier(const GtkTextIter* iter);
gboolean c4s_ends_identifier(const GtkTextIter* iter);

gboolean c4s_forward_search(const GtkTextIter* iter,
                            const gchar* str,
                            GtkTextSearchFlags flags,
                            GtkTextIter* match_start,
                            GtkTextIter* match_end,
                            const GtkTextIter* limit);

gboolean c4s_text_is_ascii(const gchar* text);

gboolean c4s_substr_cmp(const gchar* str1,
                        gsize len1,
                        const gchar* str2,
                        gsize len2);

G_END_DECLS

#endif /* __C4S_TEXTUTIL_H__ */
